VistaIOSetProgramName(3)

NAME
VistaIOSetProgramName - register a program name for error messages

SYNOPSIS
void VistaIOSetProgramName (name)
    VistaIOStringConst name

ARGUMENTS

name
    Specifies the program's name as a null-terminated string, or is NULL to indicate that no program name should be registered.

DESCRIPTION
VistaIOSetProgramName determines what, if any, program name will be included in subsequent error messages composed by VistaIOError (3), VistaIOSystemError(3), VistaIOWarning(3), and VistaIOSystemWarning(3).

Initially, no program name is registered. If VistaIOSetProgramName is called with a string, that string is registered as the program name. If VistaIOSetProgramName is called with an argument of NULL , any previously-registered name is forgotten.

EXAMPLES
    int main (argc, argv)
    int argc;
    char *argv[];
    {
    	...
    	VistaIOSetProgramName (argv[0]);
    	...
    }

SEE ALSO
VistaIOError(3), VistaIOWarning(3), VistaIOSetErrorHandler(3), VistaIOSetWarningHandler(3),

NOTES
VistaIOSetProgramName does not make its own copy of the string it is passed. Consequently, storage used for the string must be maintained by the caller.

AUTHOR
Art Pope <pope@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>